<!doctype html>
<html lang="en" xmlns:th="http://www.thymeleaf.org">
	<head>
		<meta charset="UTF-8" />
		<meta name="viewport" content="width=device-width, initial-scale=1.0" />
		<title>Table Header</title>
	</head>
	<body th:fragment="table_header">
		<div class="px-3 pt-3">
			<h1 class="text-xl font-semibold text-on-surface-higher">Pendaftar Kip Kuliah</h1>
			<p class="text-on-surface-lower">Kelola semua pendaftar kip kuiah STMIK Tazkia di sini</p>
		</div>
		<div class="flex flex-col gap-2 p-3 sm:flex-row sm:items-center sm:justify-between">
			<!-- add btn -->
			<div class="flex w-full gap-2 sm:order-3 sm:w-fit">
				<div x-data="{ isOpen : false}">
					<button
						x-ref="button"
						@click="isOpen = ! isOpen"
						type="button"
						class="inline-flex items-center justify-center gap-x-2 rounded-default bg-primary px-3 py-2.5 text-sm font-semibold text-on-primary hover:bg-primary-higher focus:bg-primary-higher focus:outline-none focus-visible:ring-2 focus-visible:ring-primary-outline-lower"
					>
						<svg
							xmlns="http://www.w3.org/2000/svg"
							fill="none"
							viewBox="0 0 24 24"
							stroke-width="1.5"
							stroke="currentColor"
							class="size-4"
						>
							<path
								stroke-linecap="round"
								stroke-linejoin="round"
								d="M12 3c2.755 0 5.455.232 8.083.678.533.09.917.556.917 1.096v1.044a2.25 2.25 0 0 1-.659 1.591l-5.432 5.432a2.25 2.25 0 0 0-.659 1.591v2.927a2.25 2.25 0 0 1-1.244 2.013L9.75 21v-6.568a2.25 2.25 0 0 0-.659-1.591L3.659 7.409A2.25 2.25 0 0 1 3 5.818V4.774c0-.54.384-1.006.917-1.096A48.32 48.32 0 0 1 12 3Z"
							/>
						</svg>
						Filter
					</button>
					<div
						@click.outside="isOpen = false"
						x-show="isOpen"
						x-anchor.offset.4="$refs.button"
						class="w-48 rounded-default border border-surface-outline-lower bg-surface-container"
					>
						<div>
							<p class="px-4 pt-4 font-semibold text-on-surface-higher">Periode</p>
						</div>
						<form action="" onchange="submit()">
							<ul class="max-h-96 space-y-2 overflow-y-auto px-4 pb-4 pt-2">
								<li class="flex items-center gap-2">
									<input
										type="radio"
										name="period"
										value="2024-2025"
										class="size-4 rounded-full bg-surface-container disabled:pointer-events-none disabled:opacity-50"
										id="period-1"
										checked
									/>
									<label for="period-1" class="text-sm text-on-surface-lower">2024-2025</label>
								</li>
								<li class="flex items-center gap-2">
									<input
										type="radio"
										name="period"
										value="2023-2024"
										class="size-4 rounded-full bg-surface-container disabled:pointer-events-none disabled:opacity-50"
										id="period-2"
									/>
									<label for="period-2" class="text-sm text-on-surface-lower">2023-2024</label>
								</li>
							</ul>
						</form>
					</div>
				</div>
				<a
					th:href="@{'/kipkuliah/export'}"
					class="inline-flex w-full items-center justify-center gap-x-2 rounded-default bg-primary px-3 py-2.5 text-sm font-semibold text-on-primary hover:bg-primary-higher focus:bg-primary-higher focus:outline-none focus-visible:ring-2 focus-visible:ring-primary-outline-lower"
				>
					<svg
						xmlns="http://www.w3.org/2000/svg"
						fill="none"
						viewBox="0 0 24 24"
						stroke-width="1.5"
						stroke="currentColor"
						class="size-4"
					>
						<path
							stroke-linecap="round"
							stroke-linejoin="round"
							d="M3 16.5v2.25A2.25 2.25 0 0 0 5.25 21h13.5A2.25 2.25 0 0 0 21 18.75V16.5m-13.5-9L12 3m0 0 4.5 4.5M12 3v13.5"
						/>
					</svg>
					Export
				</a>
			</div>
			<!-- search & size form -->
			<div class="flex items-center gap-2">
				<!-- size -->
				<form class="shrink-0">
					<select
						class="block w-full rounded-default border border-surface-outline bg-surface-container px-3 py-2.5 pe-8 text-sm text-on-surface focus:border-primary-outline-highest focus:ring-primary-outline-highest data-[invalid=true]:border-error-outline data-[invalid=true]:ring-error-outline-highest data-[invalid=true]:focus:border-error-outline-highest"
						name="pageSize"
						onchange="submit()"
					>
						<option th:selected="${pageSize == 10}" value="10">10</option>
						<option th:selected="${pageSize == 25}" value="25">25</option>
						<option th:selected="${pageSize == 50}" value="50">50</option>
						<option th:selected="${pageSize == 100}" value="100">100</option>
					</select>
					<input type="hidden" name="search" th:value="${search}" />
				</form>
				<!-- search -->
				<form class="w-full">
					<div class="relative">
						<input
							class="block w-full rounded-default border border-surface-outline bg-transparent px-3 py-2.5 ps-10 text-sm text-on-surface focus:border-primary-outline-highest focus:ring-primary-outline-highest data-[invalid=true]:border-error-outline data-[invalid=true]:ring-error-outline-highest data-[invalid=true]:focus:border-error-outline-highest md:min-w-72"
							type="text"
							id="search"
							name="search"
							th:value="${search}"
							placeholder="Search"
						/>
						<div class="absolute inset-y-0 start-0 flex items-center ps-4">
							<svg
								xmlns="http://www.w3.org/2000/svg"
								fill="none"
								viewBox="0 0 24 24"
								stroke-width="1.5"
								stroke="currentColor"
								class="size-4 shrink-0 text-on-surface-lower"
							>
								<path
									stroke-linecap="round"
									stroke-linejoin="round"
									d="m21 21-5.197-5.197m0 0A7.5 7.5 0 1 0 5.196 5.196a7.5 7.5 0 0 0 10.607 10.607Z"
								/>
							</svg>
						</div>
					</div>
				</form>
			</div>
		</div>
	</body>
</html>
